Space
Space object
- namestring[ 2 .. 30 ] charactersBeta
The name of the app space. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- descriptionstring<= 500 charactersBeta
The description of the app space.
- statusobjectBetaOutput only
The status of the app space.
Show child attributesHide child attributes
- statestringBetaOutput only
The state of the app space.
SPACE_CREATINGSPACE_ACTIVESPACE_ERRORSPACE_DELETINGSPACE_DELETEDSPACE_UPDATING
- messagestringBetaOutput only
Message providing context about the current state.
- idstringBetaOutput only
The unique identifier of the app space.
- create_timestringBetaOutput only
The creation time of the app space. Formatted timestamp in ISO 6801.
- creatorstringBetaOutput only
The email of the user that created the app space.
- update_timestringBetaOutput only
The update time of the app space. Formatted timestamp in ISO 6801.
- updaterstringBetaOutput only
The email of the user that last updated the app space.
- resourcesarray of objectBeta
Resources for the app space. Resources configured at the space level are available to all apps in the space.
Show child attributesHide child attributes
- namestring[ 2 .. 30 ] characters
Name of the App Resource.
- descriptionstring<= 50 characters
Description of the App Resource.
- secretobject
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
READWRITEMANAGE
- sql_warehouseobject
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
CAN_MANAGECAN_USEIS_OWNER
- serving_endpointobject
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
CAN_MANAGECAN_QUERYCAN_VIEW
- jobobject
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
CAN_MANAGEIS_OWNERCAN_MANAGE_RUNCAN_VIEW
- uc_securableobject
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
VOLUMETABLEFUNCTIONCONNECTIONMODEL_SERVICE
- permissionstring
READ_VOLUMEWRITE_VOLUMESELECTEXECUTEUSE_CONNECTIONMODIFY
- securable_kindstringGAOutput only
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobject
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
CAN_CONNECT_AND_CREATE
- genie_spaceobject
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
CAN_MANAGECAN_EDITCAN_RUNCAN_VIEW
- experimentobject
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
CAN_MANAGECAN_EDITCAN_READ
- appobjectGA
Show child attributesHide child attributes
- namestringGA
- permissionstringGA
CAN_USE
- postgresobjectGA
Show child attributesHide child attributes
- branchstringGA
- databasestringGA
- permissionstringGA
CAN_CONNECT_AND_CREATE
- user_api_scopesarray of stringBeta
OAuth scopes for apps in the space.
- effective_user_api_scopesarray of stringBetaOutput only
The effective api scopes granted to the user access token.
- service_principal_idint64BetaOutput only
The service principal ID for the app space.
- service_principal_namestringBetaOutput only
The service principal name for the app space.
- service_principal_client_idstringuuidBetaOutput only
The service principal client ID for the app space.
- usage_policy_idstringuuid= 36 charactersBeta
The usage policy ID for managing cost at the space level.
- effective_usage_policy_idstringuuidBetaOutput only
The effective usage policy ID used by apps in the space.
Get an app space Beta
GET
Retrieves information for the app space with the supplied name.
API scopes: apps
Parameters
- namestringRequiredpath
The name of the app space.
Response
Returns the Space object.
List app spaces Beta
GET
Lists all app spaces in the workspace.
API scopes: apps
Parameters
- page_tokenstringquery
Pagination token to go to the next page of app spaces. Requests first page if absent.
- page_sizeint32query
Upper bound for items returned.
Response
Returns a list of Space objects.
Create an app space Beta
POST
Creates a new app space.
API scopes: apps
Request body
- namestring[ 2 .. 30 ] charactersRequired
The name of the app space. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- descriptionstring<= 500 characters
The description of the app space.
- resourcesarray of object
Resources for the app space. Resources configured at the space level are available to all apps in the space.
Show child attributesHide child attributes
- namestring[ 2 .. 30 ] charactersRequired
Name of the App Resource.
- descriptionstring<= 50 characters
Description of the App Resource.
- secretobject
Show child attributesHide child attributes
- scopestringRequired
Scope of the secret to grant permission on.
- keystringRequired
Key of the secret to grant permission on.
- permissionstringRequired
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
READWRITEMANAGE
- sql_warehouseobject
Show child attributesHide child attributes
- idstringRequired
Id of the SQL warehouse to grant permission on.
- permissionstringRequired
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
CAN_MANAGECAN_USEIS_OWNER
- serving_endpointobject
Show child attributesHide child attributes
- namestringRequired
Name of the serving endpoint to grant permission on.
- permissionstringRequired
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
CAN_MANAGECAN_QUERYCAN_VIEW
- jobobject
Show child attributesHide child attributes
- idstringRequired
Id of the job to grant permission on.
- permissionstringRequired
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
CAN_MANAGEIS_OWNERCAN_MANAGE_RUNCAN_VIEW
- uc_securableobject
Show child attributesHide child attributes
- securable_full_namestringRequired
- securable_typestringRequired
VOLUMETABLEFUNCTIONCONNECTIONMODEL_SERVICE
- permissionstringRequired
READ_VOLUMEWRITE_VOLUMESELECTEXECUTEUSE_CONNECTIONMODIFY
- databaseobject
Show child attributesHide child attributes
- instance_namestringRequired
- database_namestringRequired
- permissionstringRequired
CAN_CONNECT_AND_CREATE
- genie_spaceobject
Show child attributesHide child attributes
- namestringRequired
- space_idstringRequired
- permissionstringRequired
CAN_MANAGECAN_EDITCAN_RUNCAN_VIEW
- experimentobject
Show child attributesHide child attributes
- experiment_idstringRequired
- permissionstringRequired
CAN_MANAGECAN_EDITCAN_READ
- appobjectGA
Show child attributesHide child attributes
- namestringGA
- permissionstringGA
CAN_USE
- postgresobjectGA
Show child attributesHide child attributes
- branchstringGA
- databasestringGA
- permissionstringGA
CAN_CONNECT_AND_CREATE
- user_api_scopesarray of string
OAuth scopes for apps in the space.
- usage_policy_idstringuuid= 36 characters
The usage policy ID for managing cost at the space level.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Update an app space Beta
PATCH
Updates an app space. The update process is asynchronous and the status of the update can be checked with the GetSpaceOperation method.
API scopes: apps
Parameters
- namestring[ 2 .. 30 ] charactersRequiredpath
The name of the app space. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- update_maskstringRequiredquery
Request body
- descriptionstring<= 500 characters
The description of the app space.
- resourcesarray of object
Resources for the app space. Resources configured at the space level are available to all apps in the space.
Show child attributesHide child attributes
- namestring[ 2 .. 30 ] charactersRequired
Name of the App Resource.
- descriptionstring<= 50 characters
Description of the App Resource.
- secretobject
Show child attributesHide child attributes
- scopestringRequired
Scope of the secret to grant permission on.
- keystringRequired
Key of the secret to grant permission on.
- permissionstringRequired
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
READWRITEMANAGE
- sql_warehouseobject
Show child attributesHide child attributes
- idstringRequired
Id of the SQL warehouse to grant permission on.
- permissionstringRequired
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
CAN_MANAGECAN_USEIS_OWNER
- serving_endpointobject
Show child attributesHide child attributes
- namestringRequired
Name of the serving endpoint to grant permission on.
- permissionstringRequired
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
CAN_MANAGECAN_QUERYCAN_VIEW
- jobobject
Show child attributesHide child attributes
- idstringRequired
Id of the job to grant permission on.
- permissionstringRequired
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
CAN_MANAGEIS_OWNERCAN_MANAGE_RUNCAN_VIEW
- uc_securableobject
Show child attributesHide child attributes
- securable_full_namestringRequired
- securable_typestringRequired
VOLUMETABLEFUNCTIONCONNECTIONMODEL_SERVICE
- permissionstringRequired
READ_VOLUMEWRITE_VOLUMESELECTEXECUTEUSE_CONNECTIONMODIFY
- databaseobject
Show child attributesHide child attributes
- instance_namestringRequired
- database_namestringRequired
- permissionstringRequired
CAN_CONNECT_AND_CREATE
- genie_spaceobject
Show child attributesHide child attributes
- namestringRequired
- space_idstringRequired
- permissionstringRequired
CAN_MANAGECAN_EDITCAN_RUNCAN_VIEW
- experimentobject
Show child attributesHide child attributes
- experiment_idstringRequired
- permissionstringRequired
CAN_MANAGECAN_EDITCAN_READ
- appobjectGA
Show child attributesHide child attributes
- namestringGA
- permissionstringGA
CAN_USE
- postgresobjectGA
Show child attributesHide child attributes
- branchstringGA
- databasestringGA
- permissionstringGA
CAN_CONNECT_AND_CREATE
- user_api_scopesarray of string
OAuth scopes for apps in the space.
- usage_policy_idstringuuid= 36 characters
The usage policy ID for managing cost at the space level.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Delete an app space Beta
DELETE
Deletes an app space.
API scopes: apps
Parameters
- namestringRequiredpath
The name of the app space.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.